<?php

/*
Plugin Name: The Best Spam Comments Plugin (TBSC)
Plugin URI: https://igorjovanovic.info/wordpress-plugin-stop-spam-comments/
Description: Stop spam in comments.
Version: 1.0
Author: Igor Jovanovic
Author URI: https://igorjovanovic.info/about/
License: GPL2
*/ 

add_filter( 'preprocess_comment' , 'verify_comment_author_url' );
add_action( 'wp_enqueue_scripts', 'comment_author_field_style' );

function verify_comment_author_url( $commentdata ) {
	
	if ( !empty($commentdata['comment_author_url']) )
		wp_die( __( 'You did not pass the robot check. If you are a human contac me here https://igorjovanovic.info/contact/') );
	return $commentdata;
}


function comment_author_field_style() {
    wp_enqueue_style( 'comment-fields-style.css', plugin_dir_url( __FILE__ ) . 'css/comment-fields-style.css');
  }

?>